<?php
/**
 * @package     hubzero-cms
 * @author      Shawn Rice <zooley@purdue.edu>
 * @copyright   Copyright 2005-2011 Purdue University. All rights reserved.
 * @license     http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 *
 * Copyright 2005-2011 Purdue University. All rights reserved.
 *
 * This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 *
 * The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
 * software: you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * HUBzero is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * HUBzero is a registered trademark of Purdue University.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


class WikiLog extends JTable 
{
	var $id        = NULL;  // @var int(11) Primary key
	var $pid       = NULL;  // @var int(11)
	var $timestamp = NULL;  // @var datetime(0000-00-00 00:00:00)
	var $uid       = NULL;  // @var int(11)
	var $action    = NULL;  // @var varchar(50)
	var $comments  = NULL;  // @var text
	var $actorid   = NULL;  // @var int(11)
	
	//-----------

	public function __construct( &$db ) 
	{
		parent::__construct( '#__wiki_log', 'id', $db );
	}
	
	//-----------
	
	public function check() 
	{
		if (trim( $this->pid ) == '') {
			$this->setError( JText::_('WIKI_LOGS_MUST_HAVE_PAGE_ID') );
			return false;
		}
		
		if (trim( $this->uid ) == '') {
			$this->setError( JText::_('WIKI_LOGS_MUST_HAVE_USER_ID') );
			return false;
		}
		
		return true;
	}
	
	//-----------
	
	public function getLogs( $pid=null ) 
	{
		if (!$pid) {
			$pid = $this->pid;
		}
		if (!$pid) {
			return null;
		}

		$this->_db->setQuery( "SELECT * FROM $this->_tbl WHERE pid=$pid ORDER BY `timestamp` DESC" );
		return $this->_db->loadObjectList();
	}
	
	//-----------
	
	public function deleteLogs( $pid=null ) 
	{
		if (!$pid) {
			$pid = $this->pid;
		}
		if (!$pid) {
			return null;
		}
		
		$this->_db->setQuery( "DELETE FROM $this->_tbl WHERE pid=".$pid );
		if (!$this->_db->query()) {
			$this->setError( $this->_db->getErrorMsg() );
			return false;
		}
	}
}

