<?php
/**
 * @package     hubzero-cms
 * @author      Shawn Rice <zooley@purdue.edu>
 * @copyright   Copyright 2005-2011 Purdue University. All rights reserved.
 * @license     http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 *
 * Copyright 2005-2011 Purdue University. All rights reserved.
 *
 * This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 *
 * The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
 * software: you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * HUBzero is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * HUBzero is a registered trademark of Purdue University.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


class RandomPageMacro extends WikiMacro 
{
	public function description() 
	{
		$txt = array();
		$txt['wiki'] = 'Generates a link to a random page.';
		$txt['html'] = '<p>Generates a link to a random page.</p>';
		return $txt['html'];
	}
	
	//-----------
	
	public function render() 
	{
		// Perform query
		$this->_db->setQuery( "SELECT pagename, scope, title FROM #__wiki_page ORDER BY rand() LIMIT 1" );
		$a = $this->_db->loadRow();
		
		// Did we get a result from the database?
		if ($a) {
			$title = ($a[2]) ? stripslashes($a[2]) : $a[0];
			
			// Build and return the link
			//return '['.JRoute::_('index.php?option='.$this->option.a.'scope='.$a[1].a.'pagename='.$a[0]).' '.$title.']';
			return '<a href="'.JRoute::_('index.php?option='.$this->option.'&scope='.$a[1].'&pagename='.$a[0]).'">'.$title.'</a>';
		}
	}
}

