<?php
/**
 * @package     hubzero-cms
 * @author      Shawn Rice <zooley@purdue.edu>
 * @copyright   Copyright 2005-2011 Purdue University. All rights reserved.
 * @license     http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 *
 * Copyright 2005-2011 Purdue University. All rights reserved.
 *
 * This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 *
 * The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
 * software: you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * HUBzero is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * HUBzero is a registered trademark of Purdue University.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


class TagMacro extends WikiMacro 
{
	public function description() 
	{
		$txt = array();
		$txt['wiki'] = 'This macro will generate a link to a Tag.';
		$txt['html'] = '<p>This macro will generate a link to a Tag.</p>';
		return $txt['html'];
	}
	
	//-----------
	
	public function render() 
	{
		$tag = $this->args;
		
		if ($tag) {
			// Perform query
			$this->_db->setQuery( "SELECT raw_tag FROM #__tags WHERE tag='".$tag."' OR alias='".$tag."' LIMIT 1" );
			$a = $this->_db->loadResult();

			// Did we get a result from the database?
			if ($a) {
				// Build and return the link
				return '<a href="'.JRoute::_( 'index.php?option=com_tags&tag='.$tag ).'">'.stripslashes($a).'</a>';
				//return '['.JRoute::_( 'index.php?option=com_tags&amp;tag='.$tag ).' '.stripslashes($a).']';
			} else {
				// Return error message
				return '('.$tag.' not found)';
			}
		} else {
			return '';
		}
	}
}

