<?php
/**
 * @package     hubzero-cms
 * @author      Steve Snyder <snyder13@purdue.edu>
 * @copyright   Copyright 2005-2011 Purdue University. All rights reserved.
 * @license     http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 *
 * Copyright 2005-2011 Purdue University. All rights reserved.
 *
 * This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 *
 * The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
 * software: you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * HUBzero is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * HUBzero is a registered trademark of Purdue University.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


class plgYSearchDocuments extends YSearchPlugin
{
	public static function onYSearch($request, &$results) 
	{
		$terms = $request->get_term_ar();
		$weight = '(match(d.text_content) AGAINST (\''.join(' ', $terms['stemmed']).'\'))';
		$addtl_where = array();
		foreach ($terms['mandatory'] as $mand)
			$addtl_where[] = "(d.text_content LIKE '%$mand%')";
		foreach ($terms['forbidden'] as $forb)
			$addtl_where[] = "(d.text_content NOT LIKE '%$forb%')";

		$results->add(new YSearchResultSQL(
			"SELECT
				sd.id,
				concat('Unknown: ', d.hash) AS title,
				text_content AS description,
				concat('/documents/', id) AS link,
				$weight AS weight,
				sd.created AS date,
				'Documents' AS section
			FROM jos_document_text_content d
			INNER JOIN jos_searchable_documents sd ON sd.hash = d.hash
			WHERE $weight > 0
			ORDER BY $weight DESC"
		));
	}
}

